org.sunflow.image.formats

## Class BitmapRGBE

- java.lang.Object
- - org.sunflow.image.Bitmap
  - - org.sunflow.image.formats.BitmapRGBE

-     public class BitmapRGBE
      extends Bitmap

- - ### Field Summary

    - ### Fields inherited from class org.sunflow.image.Bitmap

      `INV255, INV65535`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BitmapRGBE(int w, int h, int[] data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()`
    `int` | `getWidth()`
    `float` | `readAlpha(int x, int y)`
    `Color` | `readColor(int x, int y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitmapRGBE

          public BitmapRGBE(int w,
                            int h,
                            int[] data)

  - ### Method Detail

    - #### getWidth

          public int getWidth()

      Specified by:
        `getWidth` in class `Bitmap`

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in class `Bitmap`

    - #### readColor

          public Color readColor(int x,
                                 int y)

      Specified by:
        `readColor` in class `Bitmap`

    - #### readAlpha

          public float readAlpha(int x,
                                 int y)

      Specified by:
        `readAlpha` in class `Bitmap`